Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed Affected version:  

Description

It looks like test/unit/tracker_test.rb has an unspecified dependency on the :enabled_modules fixture.  To reproduce:

bundle exec rake db:test:prepare

bundle exec rake test TEST=test/unit/tracker_test.rb

=>

TrackerTest#test_visible_scope_chained_with_project_rolled_up_trackers [/home/circleci/tablexi/xi-

redmine/test/unit/tracker_test.rb:40]:

Expected: [2]

  Actual: []

 
Environment:

  Redmine version                3.4.6.devel

  Ruby version                   2.4.1-p111 (2017-03-22) [x86_64-darwin17]

  Rails version                  5.2.1

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

Redmine plugins:

  no plugin installed

 The spec passes when the :enabled_modules fixture is specified.

Associated revisions

Revision 17599 - 2018-10-20 03:10 - Go MAEDA

Add missing enabled_modules fixture to TrackerTest (#29820).

Patch by Gilad Shanan.

History

#1 - 2018-10-20 03:13 - Go MAEDA

- Subject changed from Spurious spec failure in tracker_test.rb to Missing fixture enabled_modules in TrackerTest

- Category set to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version set to 4.0.0

- Resolution set to Fixed

Committed the patch. Thank you for reporting this issue.

#2 - 2018-10-30 19:29 - Gilad Shanan

Go MAEDA wrote:

Committed the patch. Thank you for reporting this issue.
 Happy to be able to contribute.
